- updated to 22.04.1
[packages/ka5-libkgapi.git] / ka5-libkgapi.spec
CommitLineData
41ea2bc3
WF
1#
2# Conditional build:
3%bcond_with tests # build with tests
e0536c00 4%define kdeappsver 22.04.1
76ed2702 5%define kframever 5.56.0
137496d6
WF
6%define qtver 5.9.0
7%define kaname libkgapi
8Summary: libkgapi
9Name: ka5-%{kaname}
e0536c00 10Version: 22.04.1
baf13f93 11Release: 1
137496d6
WF
12License: GPL v2+/LGPL v2.1+
13Group: X11/Libraries
f278bc66 14Source0: http://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
e0536c00 15# Source0-md5: 4cb5da8d74db211ae3c627015527d32c
137496d6
WF
16URL: http://www.kde.org/
17BuildRequires: Qt5Core-devel >= %{qtver}
18BuildRequires: Qt5Gui-devel >= 5.11.1
19BuildRequires: Qt5Network-devel
20BuildRequires: Qt5Positioning-devel >= 5.11.1
21BuildRequires: Qt5PrintSupport-devel >= 5.11.1
22BuildRequires: Qt5Qml-devel >= 5.11.1
23BuildRequires: Qt5Quick-devel >= 5.11.1
24BuildRequires: Qt5Test-devel
25BuildRequires: Qt5WebChannel-devel >= 5.11.1
26BuildRequires: Qt5WebEngine-devel >= 5.11.1
27BuildRequires: Qt5Widgets-devel
28BuildRequires: Qt5Xml-devel
29BuildRequires: cmake >= 2.8.12
30BuildRequires: cyrus-sasl-devel
31BuildRequires: gettext-devel
76ed2702 32BuildRequires: kf5-extra-cmake-modules >= %{kframever}
f278bc66
WF
33BuildRequires: kf5-kcalendarcore-devel >= %{kframever}
34BuildRequires: kf5-kcontacts-devel >= %{kframever}
76ed2702
WF
35BuildRequires: kf5-kio-devel >= %{kframever}
36BuildRequires: kf5-kwallet-devel >= %{kframever}
37BuildRequires: kf5-kwindowsystem-devel >= %{kframever}
38BuildRequires: ninja
137496d6
WF
39BuildRequires: qt5-build >= %{qtver}
40BuildRequires: rpmbuild(macros) >= 1.164
41BuildRequires: shared-mime-info
42BuildRequires: tar >= 1:1.22
43BuildRequires: xz
71441f11 44ExclusiveArch: i686 %{x8664}
137496d6
WF
45BuildRoot: %{tmpdir}/%{name}-%{version}-root-%(id -u -n)
46
47%description
48LibKGAPI is a KDE-based library for accessing various Google services
49via their public API.
50
ce90dac0
WF
51%description -l pl.UTF-8
52LibKGAPI is biblioteką KDE do dostępu do różnych usług Google'a
53korzystając z ich publicznego API.
54
137496d6
WF
55%package devel
56Summary: Header files for %{kaname} development
57Summary(pl.UTF-8): Pliki nagłówkowe dla programistów używających %{kaname}
58Group: X11/Development/Libraries
59Requires: %{name} = %{version}-%{release}
60
61%description devel
62Header files for %{kaname} development.
63
64%description devel -l pl.UTF-8
65Pliki nagłówkowe dla programistów używających %{kaname}.
66
67%prep
68%setup -q -n %{kaname}-%{version}
69
70%build
71install -d build
72cd build
76ed2702 73%cmake -G Ninja \
41ea2bc3 74 %{!?with_tests:-DBUILD_TESTING=OFF} \
76ed2702 75 -DHTML_INSTALL_DIR=%{_kdedocdir} \
137496d6
WF
76 -DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
77 ..
76ed2702 78%ninja_build
137496d6 79
41ea2bc3
WF
80%if %{with tests}
81ctest
82%endif
83
84
137496d6
WF
85%install
86rm -rf $RPM_BUILD_ROOT
76ed2702 87%ninja_install -C build
137496d6
WF
88
89%find_lang %{kaname}_qt --with-qm --all-name --with-kde
90
91%clean
92rm -rf $RPM_BUILD_ROOT
93
94%post -p /sbin/ldconfig
95%postun -p /sbin/ldconfig
96
97%files -f %{kaname}_qt.lang
98%defattr(644,root,root,755)
55c90d81 99%ghost %{_libdir}/libKPimGAPIBlogger.so.5
137496d6 100%attr(755,root,root) %{_libdir}/libKPimGAPIBlogger.so.5.*.*
55c90d81 101%ghost %{_libdir}/libKPimGAPICalendar.so.5
137496d6 102%attr(755,root,root) %{_libdir}/libKPimGAPICalendar.so.5.*.*
55c90d81 103%ghost %{_libdir}/libKPimGAPIContacts.so.5
137496d6 104%attr(755,root,root) %{_libdir}/libKPimGAPIContacts.so.5.*.*
55c90d81 105%ghost %{_libdir}/libKPimGAPICore.so.5
137496d6 106%attr(755,root,root) %{_libdir}/libKPimGAPICore.so.5.*.*
55c90d81 107%ghost %{_libdir}/libKPimGAPIDrive.so.5
137496d6 108%attr(755,root,root) %{_libdir}/libKPimGAPIDrive.so.5.*.*
55c90d81 109%ghost %{_libdir}/libKPimGAPILatitude.so.5
137496d6 110%attr(755,root,root) %{_libdir}/libKPimGAPILatitude.so.5.*.*
55c90d81 111%ghost %{_libdir}/libKPimGAPIMaps.so.5
137496d6 112%attr(755,root,root) %{_libdir}/libKPimGAPIMaps.so.5.*.*
55c90d81 113%ghost %{_libdir}/libKPimGAPITasks.so.5
137496d6 114%attr(755,root,root) %{_libdir}/libKPimGAPITasks.so.5.*.*
064c0f63 115%{_libdir}/sasl2/libkdexoauth2.so.3
137496d6 116%attr(755,root,root) %{_libdir}/sasl2/libkdexoauth2.so.3.*.*
f278bc66 117%{_datadir}/qlogging-categories5/libkgapi.categories
137496d6
WF
118
119%files devel
120%defattr(644,root,root,755)
121%{_includedir}/KPim/KGAPI
122%{_includedir}/KPim/kgapi_version.h
123%{_libdir}/cmake/KPimGAPI
55c90d81
WF
124%{_libdir}/libKPimGAPIBlogger.so
125%{_libdir}/libKPimGAPICalendar.so
126%{_libdir}/libKPimGAPIContacts.so
127%{_libdir}/libKPimGAPICore.so
128%{_libdir}/libKPimGAPIDrive.so
129%{_libdir}/libKPimGAPIMaps.so
130%{_libdir}/libKPimGAPILatitude.so
131%{_libdir}/libKPimGAPITasks.so
132%{_libdir}/sasl2/libkdexoauth2.so
137496d6
WF
133%{_libdir}/qt5/mkspecs/modules/qt_KGAPIBlogger.pri
134%{_libdir}/qt5/mkspecs/modules/qt_KGAPICalendar.pri
135%{_libdir}/qt5/mkspecs/modules/qt_KGAPIContacts.pri
136%{_libdir}/qt5/mkspecs/modules/qt_KGAPICore.pri
137%{_libdir}/qt5/mkspecs/modules/qt_KGAPIDrive.pri
138%{_libdir}/qt5/mkspecs/modules/qt_KGAPILatitude.pri
139%{_libdir}/qt5/mkspecs/modules/qt_KGAPIMaps.pri
140%{_libdir}/qt5/mkspecs/modules/qt_KGAPITasks.pri
This page took 0.129052 seconds and 4 git commands to generate.